package com.teamchat.sdk.sample;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

import com.webaroo.teamchatsdk.sdk.Teamchat;


public class Settings extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_settings);
        setTitle("Settings");

        findViewById(R.id.settitel).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Teamchat.setNavigationTitle(Settings.this, ((EditText) findViewById(R.id.title)).getText().toString());
                ((EditText) findViewById(R.id.title)).setText(Teamchat.getNavigationTitle(Settings.this));
                Toast.makeText(getApplicationContext(), "Title set to "+Teamchat.getNavigationTitle(Settings.this),
                        Toast.LENGTH_LONG).show();
            }
        });
                final EditText baseUrl = (EditText) findViewById(R.id.base_url);
        String currentUrk = Teamchat.getHostURL(this);
        if(currentUrk!= null)
            baseUrl.setText(currentUrk);
        findViewById(R.id.save).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                String url = baseUrl.getText().toString();
                if(TextUtils.isEmpty(url)){

                } else {
                    boolean result = Teamchat.setHostURL(url, Settings.this);
                    if(!result)
                         Toast.makeText(getApplicationContext(), "session is active",
                                Toast.LENGTH_LONG).show();
                    else
                        Toast.makeText(getApplicationContext(), "Host url updated",
                                Toast.LENGTH_LONG).show();
                }
            }
        });
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_settings, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }

}
